<?php

require_once 'User.php';

require_once 'data/MySQLUserDataModel.php';
//or require some other datamodel for a different db

//login user <> db model
class LOUserModel 
{
    private $m_DataAccess;
    
    public function __construct()
    {
        $this->m_DataAccess = new MySQLUserDataModel();
        //or create some other datamodel object for a different db
    }
    
    public function __destruct()
    {
        // not doing anything at the moment
    }
            
    //matches user record against user-supplied username and password
    //and controller-given login type (BACK or FRONT)
    public function matchUser($inUname, $inPwd, $inType)
    {
        
        $this->m_DataAccess->connectToDB();
        $result = $this->m_DataAccess->findUser($inUname);
        //if I couldn't find the user
        if ($result == 0) return 0;//might need to fix this
        else {
            //get the salt
            $salt = $this->m_DataAccess->fetchSalt($result);
            //now try and match the hashed password
            $cryptbits = explode("$", crypt($inPwd, "$6\$rounds=1000$" . $salt .  "$")) ;
            if ($cryptbits[4] == $result[1]) //where pwd is
                if (($inType == "BACK") && (($this->m_DataAccess->fetchAdmin($result) == 1) || ($this->m_DataAccess->fetchEditor($result) == 1)))
                    return 1; //success
                elseif (($inType == "FRONT") && ($this->m_DataAccess->fetchAuthor($result) == 1))
                    return 1; //success
                else //wrong user type
                    return 2;
            else return -1;
        }
                        
        return -1;
    }
    
}

?>
