<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
interface iBackEndDataModel
{
    public function connectToDB();

    public function closeDB();

    public function findUser($userName);

    public function findTemplate($templateID);
    
    public function findPage($pageID);
    
    public function findArea($areaID);
    
    public function selectPages();
    
    public function fetchPages();
    
    public function selectTemplates();
    
    public function fetchTemplates();
    
    public function selectAreas();
    
    public function fetchAreas();
    
    public function selectArticle($articleID);
    
    public function selectAllArticles();
    
    public function fetchArticles();
    
    public function selectUsers();
    
    public function fetchUsers();
    
    public function saveNewUser($who,$newUser);
    
    public function updateUser($who,$origuname,$editUser);
    
    public function saveNewPage($who,$newPage);
    
    public function updatePage($who,$oname,$editPage);
    
    public function deletePage($who,$name);
    
    public function saveNewArea($who,$newArea);
    
    public function updateArea($who,$oname,$editArea);
    
    public function deleteArea($who,$name);
    
    public function saveNewArticle($who,$newArticle);
    
    public function updateArticle($who,$oname,$editArticle);
    
    public function saveNewTemplate($who,$newTemplate);
    
    public function updateTemplate($who,$oname,$editTemplate);
    
    public function deleteTemplate($who,$name);
}
?>
