<?php

require_once 'Page.php';

require_once 'data/MySQLFrontEndDataModel.php';

//frontend db <> page model
class FEPageModel 
{
    private $m_DataAccess;
    
    public function __construct()
    {
        $this->m_DataAccess = new MySQLFrontEndDataModel();
    }
    
    public function __destruct()
    {
        // not doing anything at the moment
    }
          
    //get page given alias (how links work)
    public function fetchPage($alias)
    {
        $page = new Page();
        $this->m_DataAccess->connectToDB();
        $pageRecord = $this->m_DataAccess->findPage($alias);
        $page->setName($pageRecord['name']);
        $page->setAlias($pageRecord['alias']);
        $page->setDescription($pageRecord['description']);
        return $page;
    }
    
    //get page given name (in case we don't want to use the alias)
    public function fetchPageDirect($name)
    {
        $page = new Page();
        $this->m_DataAccess->connectToDB();
        $pageRecord = $this->m_DataAccess->findPageDirect($name);
        $page->setName($pageRecord['name']);
        $page->setAlias($pageRecord['alias']);
        $page->setDescription($pageRecord['description']);
        return $page;
    }
    
}

?>
